Functions
Private Functions
Graphics » HAL GFX » GFX GRAPHICS » Functions
Collaboration diagram for Private Functions:

## Functions
void | hal_gfx_set_depth (float start, float dx, float dy)
| private function More...
void | hal_gfx_set_gradient (float r_init, float g_init, float b_init, float a_init, float r_dx, float r_dy, float g_dx, float g_dy, float b_dx, float b_dy, float a_dx, float a_dy)
| private function More...
void | hal_gfx_brk_enable (void)
| Enable breakpoints. More...
void | hal_gfx_brk_disable (void)
| Disable breakpoints. More...
int | hal_gfx_brk_add (void)
| Add a breakpoint to the current Command List. More...
int | hal_gfx_brk_wait (int brk_id)
| Add a breakpoint to the current Command List. More...
void | hal_gfx_brk_continue (void)
| Instruct the GPU to resume execution. More...
void | hal_gfx_ext_hold_enable (uint32_t hold_id)
| Enable external hold signals. More...
void | hal_gfx_ext_hold_disable (uint32_t hold_id)
| Disable external hold signals. More...
void | hal_gfx_ext_hold_irq_enable (uint32_t hold_id)
| Enable Interrupt Request when GPU reaches hold point. More...
void | hal_gfx_ext_hold_irq_disable (uint32_t hold_id)
| Disable external hold signals. More...
void | hal_gfx_ext_hold_assert (uint32_t hold_id, int stop)
| Assert hold signals internally via a Command List. More...
void | hal_gfx_ext_hold_deassert (uint32_t hold_id)
| Dessert hold signals internally via a Command List. More...
void | hal_gfx_ext_hold_assert_imm (uint32_t hold_id)
| Assert hold signals from the CPU (no Command List) More...
void | hal_gfx_ext_hold_deassert_imm (uint32_t hold_id)
| Dessert hold signals from the CPU (no Command List) More...

## Detailed Description

## Function Documentation

## ◆ hal_gfx_brk_add()

int hal_gfx_brk_add | ( | void |  | ) |

Add a breakpoint to the current Command List.

Returns
  Breakpoint ID

## ◆ hal_gfx_brk_continue()

void hal_gfx_brk_continue | ( | void |  | ) |

Instruct the GPU to resume execution.

Return values

  None |

## ◆ hal_gfx_brk_disable()

void hal_gfx_brk_disable | ( | void |  | ) |

Disable breakpoints.

Return values

  None |

## ◆ hal_gfx_brk_enable()

void hal_gfx_brk_enable | ( | void |  | ) |

Enable breakpoints.

Return values

  None |

## ◆ hal_gfx_brk_wait()

int hal_gfx_brk_wait | ( | int | brk_id | ) |

Add a breakpoint to the current Command List.

Parameters

  [in] | brk_id | Breakpoint ID to wait for. If zero (0), wait until next Breakpoint

Returns
  ID of reached Breakpoint

## ◆ hal_gfx_ext_hold_assert()

void hal_gfx_ext_hold_assert | ( | uint32_t | hold_id,
|  | int | stop
| ) |  |

Assert hold signals internally via a Command List.

Parameters

  [in] | hold_id | Hold signal to be asserted
  [in] | stop | If not zero, force Command List Processor to wait for FLAG to be deasserted

## ◆ hal_gfx_ext_hold_assert_imm()

void hal_gfx_ext_hold_assert_imm | ( | uint32_t | hold_id | ) |

Assert hold signals from the CPU (no Command List)

Parameters

  [in] | hold_id | Hold signal to be asserted

## ◆ hal_gfx_ext_hold_deassert()

void hal_gfx_ext_hold_deassert | ( | uint32_t | hold_id | ) |

Dessert hold signals internally via a Command List.

Parameters

  [in] | hold_id | Hold signal to be deasserted

## ◆ hal_gfx_ext_hold_deassert_imm()

void hal_gfx_ext_hold_deassert_imm | ( | uint32_t | hold_id | ) |

Dessert hold signals from the CPU (no Command List)

Parameters

  [in] | hold_id | Hold signal to be deasserted

## ◆ hal_gfx_ext_hold_disable()

void hal_gfx_ext_hold_disable | ( | uint32_t | hold_id | ) |

Disable external hold signals.

Parameters

  [in] | hold_id | Hold signals to be disabled [0-3]

## ◆ hal_gfx_ext_hold_enable()

void hal_gfx_ext_hold_enable | ( | uint32_t | hold_id | ) |

Enable external hold signals.

Parameters

  [in] | hold_id | Hold signals to be enabled [0-3]

## ◆ hal_gfx_ext_hold_irq_disable()

void hal_gfx_ext_hold_irq_disable | ( | uint32_t | hold_id | ) |

Disable external hold signals.

Parameters

  [in] | hold_id | Hold signals' IRQ to be disabled [0-3]

## ◆ hal_gfx_ext_hold_irq_enable()

void hal_gfx_ext_hold_irq_enable | ( | uint32_t | hold_id | ) |

Enable Interrupt Request when GPU reaches hold point.

Parameters

  [in] | hold_id | Hold signals' IRQ to be enabled [0-3]

## ◆ hal_gfx_set_depth()

void hal_gfx_set_depth | ( | float | start,
|  | float | dx,
|  | float | dy
| ) |  |

private function

Parameters

  [in] | start | TODO
  [in] | dx | TODO
  [in] | dy | TODO

## ◆ hal_gfx_set_gradient()

void hal_gfx_set_gradient | ( | float | r_init,
|  | float | g_init,
|  | float | b_init,
|  | float | a_init,
|  | float | r_dx,
|  | float | r_dy,
|  | float | g_dx,
|  | float | g_dy,
|  | float | b_dx,
|  | float | b_dy,
|  | float | a_dx,
|  | float | a_dy
| ) |  |

private function

Parameters

  [in] | r_init | TODO
  [in] | g_init | TODO
  [in] | b_init | TODO
  [in] | a_init | TODO
  [in] | r_dx | TODO
  [in] | r_dy | TODO
  [in] | g_dx | TODO
  [in] | g_dy | TODO
  [in] | b_dx | TODO
  [in] | b_dy | TODO
  [in] | a_dx | TODO
  [in] | a_dy | TODO